Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParticle.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParticle.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParticle.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QParticle.cc,v 1.33 2006/11/27 10:44:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QParticle.cc,v 1.34 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QParticle ----------------
@@ -34,5 +34,9 @@
 //       1         2         3         4         5         6         7         8         9
 //34567890123456789012345678901234567890123456789012345678901234567890123456789012345678901
- 
+// -----------------------------------------------------------------------
+// Short description: The G4QParticle is a part of the CHIPS World. It is
+// characterized by the quark content, spin, mass, width and a vector of
+// the decay channels (G4QDecayCannelVector).
+// -----------------------------------------------------------------------
 //#define debug
 //#define pdebug
@@ -143,5 +147,5 @@
       else   lhs << ",";
       lhs << PCV[j]->GetPDGCode() ;
-	   }
+    }
   }
   return lhs;
@@ -170,5 +174,5 @@
     //if(limit<=  6 && nQ>=  6)DecayDB[  6] = 0;    // gamma  (22)
     if(limit<=  7 && nQ>=  7)                       // Z0     (23)
-	   {
+    {
       DecayDB[  7].push_back(new G4QDecayChan(.036,  11, -11));
       DecayDB[  7].push_back(new G4QDecayChan(.073,  13, -13));
@@ -184,7 +188,7 @@
       DecayDB[  7].push_back(new G4QDecayChan(.990,2112,-2212, 211));
       DecayDB[  7].push_back(new G4QDecayChan(1.00,2112,-3122, 111));
-	   }
+    }
     if(limit<=  8 && nQ>=  8)                       // W-     (24) @@ Update HadronicDecays
-	   {
+    {
       DecayDB[  8].push_back(new G4QDecayChan(.107,  11, -12));
       DecayDB[  8].push_back(new G4QDecayChan(.214,  13, -14));
@@ -197,19 +201,19 @@
       DecayDB[  8].push_back(new G4QDecayChan(.921,3122,-2212, 111));
       DecayDB[  8].push_back(new G4QDecayChan(1.00,2112,-3122,-211));
-	   }
+    }
     //if(limit<=  9 && nQ>=  9)DecayDB[  9] = 0;    // H0     (25)
     //if(limit<= 10 && nQ>= 10)DecayDB[ 10] = 0;    // H-     (37)
     if(limit<= 11 && nQ>= 11)    // Low sigma=pi,pi S-wave : f_0 (800)
-	   {
+    {
       DecayDB[ 11].push_back(new G4QDecayChan(.333,211,-211));
       DecayDB[ 11].push_back(new G4QDecayChan(1.00,111, 111));
-	   }
+    }
     if(limit<= 12 && nQ>= 12)    // Midle Regeon-Pomeron   : f_0 (980)
-	   {
+    {
       DecayDB[ 12].push_back(new G4QDecayChan(.333,211,-211));
       DecayDB[ 12].push_back(new G4QDecayChan(1.00,111, 111));
-	   }
+    }
     if(limit<= 13 && nQ>= 13)    // High Regeon-Pomeron    : f_0 (1500)
-	   {
+    {
       DecayDB[ 13].push_back(new G4QDecayChan(.019,221, 331));
       DecayDB[ 13].push_back(new G4QDecayChan(.070,221, 221));
@@ -218,9 +222,9 @@
       DecayDB[ 13].push_back(new G4QDecayChan(.578,211,-211)); //@@ include 4pi decays
       DecayDB[ 13].push_back(new G4QDecayChan(1.00,111, 111));
-	   }
+    }
     //if(limit<= 14 && nQ>= 14)DecayDB[ 14].push_back(new G4QDecayChan(1.00,22,22));//Pi0
     //if(limit<= 15 && nQ>= 15)DecayDB[ 15] = 0;    // Pi +
     if(limit<= 16 && nQ>= 16)    // eta
-	   {
+    {
       DecayDB[ 16].push_back(new G4QDecayChan(.226,211,-211,111));
       DecayDB[ 16].push_back(new G4QDecayChan(.551,111, 111,111));
@@ -228,13 +232,13 @@
       DecayDB[ 16].push_back(new G4QDecayChan(.606, 11, -11, 22)); //@@ .002 (pi+)(pi-)2gam
       DecayDB[ 16].push_back(new G4QDecayChan(1.00, 22,  22));
-	   }
+    }
     //if(limit<= 17 && nQ>= 17)    // K 0 (K_short - probab 1/2) @@@@@@@@@@@@
-	   //{
+    //{
     //  DecayDB[ 17].push_back(new G4QDecayChan(.6861,211,-211));
     //  DecayDB[ 17].push_back(new G4QDecayChan(1.00, 111, 111));
-	   //}
+    //}
     //if(limit<= 18 && nQ>= 18)DecayDB[  8] = 0;    // K +
     if(limit<= 19 && nQ>= 19)    // eta'
-	   {
+    {
       DecayDB[ 19].push_back(new G4QDecayChan(.443,211,-211,221));
       DecayDB[ 19].push_back(new G4QDecayChan(.652,111, 111,221));
@@ -243,19 +247,19 @@
       DecayDB[ 19].push_back(new G4QDecayChan(.979, 22, 113));
       DecayDB[ 19].push_back(new G4QDecayChan(1.00, 22,  22));
-	   }
+    }
     //if(limit<= 20 && nQ>= 20)DecayDB[ 20] = 0;    // n
     //if(limit<= 21 && nQ>= 21)DecayDB[ 21] = 0;    // p
     //if(limit<= 22 && nQ>= 22)    // Lambda ===>>> all week decays are closed at this time
-	   //{
+    //{
     //  DecayDB[ 22].push_back(new G4QDecayChan(.640,2212,-211));
     //  DecayDB[ 22].push_back(new G4QDecayChan(1.00,2112, 111));
-	   //}
+    //}
     //if(limit<= 23 &&nQ>=23)DecayDB[23].push_back(new G4QDecayChan(1.,2112,-211));//Sigma-
     if(limit<= 24 &&nQ>=24)DecayDB[24].push_back(new G4QDecayChan(1.,3122,22));//Sigma0(EM)
     //if(limit<= 25 && nQ>= 25)    // Sigma +
-	   //{
+    //{
     //  DecayDB[ 25].push_back(new G4QDecayChan(.484,2112, 211));
     //  DecayDB[ 25].push_back(new G4QDecayChan(1.00,2212, 111));
-	   //}
+    //}
     //if(limit<= 26 && nQ>=26)DecayDB[26].push_back(new G4QDecayChan(1.,3122,-211));// Ksi-
     //if(limit<= 27 && nQ>=27)DecayDB[27].push_back(new G4QDecayChan(1.,3122, 111));// Ksi0
@@ -263,5 +267,5 @@
     if(limit<= 29 && nQ>= 29)DecayDB[ 29].push_back(new G4QDecayChan(1., 211, 111));// rho+
     if(limit<= 30 && nQ>= 30)    // omega
-	   {
+    {
       DecayDB[ 30].push_back(new G4QDecayChan(.891, 211,-211,111));
       DecayDB[ 30].push_back(new G4QDecayChan(.908, 211,-211));
@@ -270,17 +274,17 @@
       DecayDB[ 30].push_back(new G4QDecayChan(.998,  13, -13, 111));
       DecayDB[ 30].push_back(new G4QDecayChan(1.00,  22, 221));
-	   }
+    }
     if(limit<= 31 && nQ>= 31)    // K* 0
-	   {
+    {
       DecayDB[ 31].push_back(new G4QDecayChan(.667,-211, 321));
       DecayDB[ 31].push_back(new G4QDecayChan(1.00, 111, 311));
-	   }
+    }
     if(limit<= 32 && nQ>= 32)    // K* +
-	   {
+    {
       DecayDB[ 32].push_back(new G4QDecayChan(.667, 211, 311));
       DecayDB[ 32].push_back(new G4QDecayChan(1.00, 111, 321));
-	   }
+    }
     if(limit<= 33 && nQ>= 33)    // phi
-	   {
+    {
       DecayDB[ 33].push_back(new G4QDecayChan(.491, 311,-311));
       DecayDB[ 33].push_back(new G4QDecayChan(.831, 321,-321));
@@ -290,19 +294,19 @@
       DecayDB[ 33].push_back(new G4QDecayChan(.948,-211, 213));
       DecayDB[ 33].push_back(new G4QDecayChan(1.00, 111, 113));
-	   }
+    }
     if(limit<= 34 && nQ>= 34)DecayDB[34].push_back(new G4QDecayChan(1.,2112,-211));//Delta-
     if(limit<= 35 && nQ>= 35)    // Delta 0
-	   {
+    {
       DecayDB[ 35].push_back(new G4QDecayChan(.333,2212,-211));
       DecayDB[ 35].push_back(new G4QDecayChan(1.00,2112, 111));
-	   }
+    }
     if(limit<= 36 && nQ>= 36)    // Delta +
-	   {
+    {
       DecayDB[ 36].push_back(new G4QDecayChan(.333,2112, 211));
       DecayDB[ 36].push_back(new G4QDecayChan(1.00,2212, 111));
-	   }
+    }
     if(limit<= 37 && nQ>= 37)DecayDB[37].push_back(new G4QDecayChan(1.,2212,211));//Delta++
     if(limit<= 38 && nQ>= 38)    // Lambda* (1520)
-	   {
+    {
       DecayDB[ 38].push_back(new G4QDecayChan(.225,3112,-311));
       DecayDB[ 38].push_back(new G4QDecayChan(.450,3222,-321));
@@ -317,42 +321,42 @@
       DecayDB[ 38].push_back(new G4QDecayChan(.982,3112, 211));
       DecayDB[ 38].push_back(new G4QDecayChan(1.00,3122,  22));
-	   }
+    }
     if(limit<= 39 && nQ>= 39)    // Sigma* -
-	   {
+    {
       DecayDB[ 39].push_back(new G4QDecayChan(.060,3112, 111));
       DecayDB[ 39].push_back(new G4QDecayChan(.120,3212,-211));
       DecayDB[ 39].push_back(new G4QDecayChan(1.00,3122,-211));
-	   }
+    }
     if(limit<= 40 && nQ>= 40)    // Sigma* 0
-	   {
+    {
       DecayDB[ 40].push_back(new G4QDecayChan(.040,3112, 211));
       DecayDB[ 40].push_back(new G4QDecayChan(.080,3222,-211));
       DecayDB[ 40].push_back(new G4QDecayChan(.120,3212, 111));
       DecayDB[ 40].push_back(new G4QDecayChan(1.00,3122, 111));
-	   }
+    }
     if(limit<= 41 && nQ>= 41)    // Sigma* +
-	   {
+    {
       DecayDB[ 41].push_back(new G4QDecayChan(.060,3212, 211));
       DecayDB[ 41].push_back(new G4QDecayChan(.120,3222, 111));
       DecayDB[ 41].push_back(new G4QDecayChan(1.00,3122, 211));
-	   }
+    }
     if(limit<= 42 && nQ>= 42)    // Ksi* -
-	   {
+    {
       DecayDB[ 42].push_back(new G4QDecayChan(.667,3322,-211));
       DecayDB[ 42].push_back(new G4QDecayChan(1.00,3312, 111));
-	   }
+    }
     if(limit<= 43 && nQ>= 43)    // Ksi* 0
-	   {
+    {
       DecayDB[ 43].push_back(new G4QDecayChan(.667,3312, 211));
       DecayDB[ 43].push_back(new G4QDecayChan(1.00,3322, 111));
-	   }
+    }
     //if(limit<= 44 && nQ>= 44)    // OMEGA - (Weak)
-	   //{
+    //{
     //  DecayDB[ 44].push_back(new G4QDecayChan(.678,3122, 321));
     //  DecayDB[ 44].push_back(new G4QDecayChan(.914,3322,-211));
     //  DecayDB[ 44].push_back(new G4QDecayChan(1.00,3312, 111));
-	   //}
+    //}
     if(limit<= 45 && nQ>= 45)    // a_2 0
-	   {
+    {
       DecayDB[ 45].push_back(new G4QDecayChan(.070, 211,-211,223));
       DecayDB[ 45].push_back(new G4QDecayChan(.106, 111, 111,223));
@@ -363,7 +367,7 @@
       DecayDB[ 45].push_back(new G4QDecayChan(.767, 211,-213));
       DecayDB[ 45].push_back(new G4QDecayChan(1.00, 111, 113));
-	   }
+    }
     if(limit<= 46 && nQ>= 46)    // a_2 +
-	   {
+    {
       DecayDB[ 46].push_back(new G4QDecayChan(.106,111,211,223));
       DecayDB[ 46].push_back(new G4QDecayChan(.156, 321,-311));
@@ -371,7 +375,7 @@
       DecayDB[ 46].push_back(new G4QDecayChan(.651, 211, 113));
       DecayDB[ 46].push_back(new G4QDecayChan(1.00, 111, 213));
-	   }
+    }
     if(limit<= 47 && nQ>= 47)    // f_2 0
-	   {
+    {
       DecayDB[ 47].push_back(new G4QDecayChan(.005, 221, 221));
       DecayDB[ 47].push_back(new G4QDecayChan(.028, 311,-311));
@@ -382,7 +386,7 @@
       DecayDB[ 47].push_back(new G4QDecayChan(.717, 211,-211));
       DecayDB[ 47].push_back(new G4QDecayChan(1.00, 111, 111));
-	   }
+    }
     if(limit<= 48 && nQ>= 48)    // K_2 0
-	   {
+    {
       DecayDB[ 48].push_back(new G4QDecayChan(.028, 311, 223));
       DecayDB[ 48].push_back(new G4QDecayChan(.074, 211,-211,313));
@@ -395,7 +399,7 @@
       DecayDB[ 48].push_back(new G4QDecayChan(.750,-211, 321));
       DecayDB[ 48].push_back(new G4QDecayChan(1.00, 111, 311));
-	   }
+    }
     if(limit<= 49 && nQ>= 49)    // K_2 +
-	   {
+    {
       DecayDB[ 49].push_back(new G4QDecayChan(.028, 321, 223));
       DecayDB[ 49].push_back(new G4QDecayChan(.074,211,-211,323));
@@ -408,7 +412,7 @@
       DecayDB[ 49].push_back(new G4QDecayChan(.750, 211, 311));
       DecayDB[ 49].push_back(new G4QDecayChan(1.00, 111, 321));
-	   }
+    }
     if(limit<= 50 && nQ>= 50)    // f_2' 0
-	   {
+    {
       DecayDB[ 50].push_back(new G4QDecayChan(.103, 221, 221));
       DecayDB[ 50].push_back(new G4QDecayChan(.547, 311,-311));
@@ -416,7 +420,7 @@
       DecayDB[ 50].push_back(new G4QDecayChan(.997, 211,-211));
       DecayDB[ 50].push_back(new G4QDecayChan(1.00, 111, 111));
-	   }
+    }
     if(limit<= 51 && nQ>= 51)    // N_5/2 0
-	   {
+    {
       DecayDB[ 51].push_back(new G4QDecayChan(.040, 211, 1114));
       DecayDB[ 51].push_back(new G4QDecayChan(.080, 111, 2114));
@@ -427,7 +431,7 @@
       DecayDB[ 51].push_back(new G4QDecayChan(.780, 2212,-211));
       DecayDB[ 51].push_back(new G4QDecayChan(1.00, 2112, 111));
-	   }
+    }
     if(limit<= 52 && nQ>= 52)    // N_5/2 +
-	   {
+    {
       DecayDB[ 52].push_back(new G4QDecayChan(.040,-211, 2224));
       DecayDB[ 52].push_back(new G4QDecayChan(.080, 211, 2114));
@@ -438,7 +442,7 @@
       DecayDB[ 52].push_back(new G4QDecayChan(.780, 2112, 211));
       DecayDB[ 52].push_back(new G4QDecayChan(1.00, 2212, 111));
-	   }
+    }
     if(limit<= 53 && nQ>= 53)    // LAMBDA_5/2
-	   {
+    {
       DecayDB[ 53].push_back(new G4QDecayChan(.350, 2112,-311));
       DecayDB[ 53].push_back(new G4QDecayChan(.700, 2212,-321));
@@ -449,7 +453,7 @@
       DecayDB[ 53].push_back(new G4QDecayChan(.940, 3222,-211));
       DecayDB[ 53].push_back(new G4QDecayChan(1.00, 3212, 111));
-	   }
+    }
     if(limit<= 54 && nQ>= 54)    // SIGMA_5/2 -
-	   {
+    {
       DecayDB[ 54].push_back(new G4QDecayChan(.600, 2112,-321));
       DecayDB[ 54].push_back(new G4QDecayChan(.660,-211, 3214));
@@ -458,7 +462,7 @@
       DecayDB[ 54].push_back(new G4QDecayChan(.900, 3112, 111));
       DecayDB[ 54].push_back(new G4QDecayChan(1.00, 3122,-211));
-	   }
+    }
     if(limit<= 55 && nQ>= 55)    // SIGMA_5/2 0
-	   {
+    {
       DecayDB[ 55].push_back(new G4QDecayChan(.300, 2112,-311));
       DecayDB[ 55].push_back(new G4QDecayChan(.600, 2212,-321));
@@ -470,7 +474,7 @@
       DecayDB[ 55].push_back(new G4QDecayChan(.900, 3212, 111));
       DecayDB[ 55].push_back(new G4QDecayChan(1.00, 3122, 111));
-	   }
+    }
     if(limit<= 56 && nQ>= 56)    // SIGMA_5/2 +
-	   {
+    {
       DecayDB[ 56].push_back(new G4QDecayChan(.600, 2212,-311));
       DecayDB[ 56].push_back(new G4QDecayChan(.660, 211, 3214));
@@ -479,19 +483,19 @@
       DecayDB[ 56].push_back(new G4QDecayChan(.900, 3222, 111));
       DecayDB[ 56].push_back(new G4QDecayChan(1.00, 3122, 211));
-	   }
+    }
     if(limit<= 57 && nQ>= 57)    // KSI_5/2 -
-	   {
+    {
       DecayDB[ 57].push_back(new G4QDecayChan(.400, 3112,-311));
       DecayDB[ 57].push_back(new G4QDecayChan(.800, 3212,-321));
       DecayDB[ 57].push_back(new G4QDecayChan(1.00, 3122,-321));
-	   }
+    }
     if(limit<= 58 && nQ>= 58)    // KSI_5/2 0
-	   {
+    {
       DecayDB[ 58].push_back(new G4QDecayChan(.400, 3212,-311));
       DecayDB[ 58].push_back(new G4QDecayChan(.800, 3222,-321));
       DecayDB[ 58].push_back(new G4QDecayChan(1.00, 3122,-311));
-	   }
+    }
     if(limit<= 59 && nQ>= 59)    // rho_3 0
-	   {
+    {
       DecayDB[ 59].push_back(new G4QDecayChan(.019,311,-313));
       DecayDB[ 59].push_back(new G4QDecayChan(.038,321,-323));
@@ -503,7 +507,7 @@
       DecayDB[ 59].push_back(new G4QDecayChan(.764,111, 111,113));
       DecayDB[ 59].push_back(new G4QDecayChan(1.00,211,-211));
-	   }
+    }
     if(limit<= 60 && nQ>= 60)    // rho_3 +
-	   {
+    {
       DecayDB[ 60].push_back(new G4QDecayChan(.019, 321,-313));
       DecayDB[ 60].push_back(new G4QDecayChan(.038,-311, 323));
@@ -514,7 +518,7 @@
       DecayDB[ 60].push_back(new G4QDecayChan(.764,211,111,113));
       DecayDB[ 60].push_back(new G4QDecayChan(1.00, 211, 111));
-	   }
+    }
     if(limit<= 61 && nQ>= 61)    // omega_3
-	   {
+    {
       DecayDB[ 61].push_back(new G4QDecayChan(.020,211,-211,223));
       DecayDB[ 61].push_back(new G4QDecayChan(.040,111, 111,223));
@@ -522,7 +526,7 @@
       DecayDB[ 61].push_back(new G4QDecayChan(.080,-211, 213));
       DecayDB[ 61].push_back(new G4QDecayChan(1.00, 111, 113));
-	   }
+    }
     if(limit<= 62 && nQ>= 62)    // K_3 0
-	   {
+    {
       DecayDB[ 62].push_back(new G4QDecayChan(.030, 111, 315));
       DecayDB[ 62].push_back(new G4QDecayChan(.060,-211, 325));
@@ -534,7 +538,7 @@
       DecayDB[ 62].push_back(new G4QDecayChan(.940,-211, 321));
       DecayDB[ 62].push_back(new G4QDecayChan(1.00, 111, 311));
-	   }
+    }
     if(limit<= 63 && nQ>= 63)    // K_3 +
-	   {
+    {
       DecayDB[ 63].push_back(new G4QDecayChan(.030, 211, 315));
       DecayDB[ 63].push_back(new G4QDecayChan(.060, 111, 325));
@@ -546,7 +550,7 @@
       DecayDB[ 63].push_back(new G4QDecayChan(.940, 211, 311));
       DecayDB[ 63].push_back(new G4QDecayChan(1.00, 111, 321));
-	   }
+    }
     if(limit<= 64 && nQ>= 64)    // phi_3
-	   {
+    {
       DecayDB[ 64].push_back(new G4QDecayChan(.250, 321,-321));
       DecayDB[ 64].push_back(new G4QDecayChan(.500, 311,-311));
@@ -555,14 +559,14 @@
       DecayDB[ 64].push_back(new G4QDecayChan(.875, 311,-313));
       DecayDB[ 64].push_back(new G4QDecayChan(1.00,-311, 313));
-	   }
+    }
     if(limit<= 65 && nQ>= 65)    // DELTA_7/2 -
-	   {
+    {
       DecayDB[ 65].push_back(new G4QDecayChan(.200, 2112,-213 ));
       DecayDB[ 65].push_back(new G4QDecayChan(.320,-211 , 2114));
       DecayDB[ 65].push_back(new G4QDecayChan(.500, 111 , 1114));
       DecayDB[ 65].push_back(new G4QDecayChan(1.00, 2112,-211 ));
-	   }
+    }
     if(limit<= 66 && nQ>= 66)    // DELTA_7/2 0
-	   {
+    {
       DecayDB[ 66].push_back(new G4QDecayChan(.133, 2112, 113 ));
       DecayDB[ 66].push_back(new G4QDecayChan(.200, 2212,-213 ));
@@ -572,7 +576,7 @@
       DecayDB[ 66].push_back(new G4QDecayChan(.666, 2212,-211 ));
       DecayDB[ 66].push_back(new G4QDecayChan(1.00, 2112, 111 ));
-	   }
+    }
     if(limit<= 67 && nQ>= 67)    // DELTA_7/2 +
-	   {
+    {
       DecayDB[ 67].push_back(new G4QDecayChan(.133, 2112, 213 ));
       DecayDB[ 67].push_back(new G4QDecayChan(.200, 2212, 113 ));
@@ -582,14 +586,14 @@
       DecayDB[ 67].push_back(new G4QDecayChan(.666, 2112, 211 ));
       DecayDB[ 67].push_back(new G4QDecayChan(1.00, 2212, 111 ));
-	   }
+    }
     if(limit<= 68 && nQ>= 68)    // DELTA_7/2 ++
-	   {
+    {
       DecayDB[ 68].push_back(new G4QDecayChan(.200, 2212, 213 ));
       DecayDB[ 68].push_back(new G4QDecayChan(.320, 211 , 2214));
       DecayDB[ 68].push_back(new G4QDecayChan(.500, 111 , 2224));
       DecayDB[ 68].push_back(new G4QDecayChan(1.00, 2212, 211 ));
-	   }
+    }
     if(limit<= 69 && nQ>= 69)     // LAMBDA_7/2
-	   {
+    {
       DecayDB[ 69].push_back(new G4QDecayChan(.160, 3122, 223 ));
       DecayDB[ 69].push_back(new G4QDecayChan(.260, 2112,-313 ));
@@ -603,7 +607,7 @@
       DecayDB[ 69].push_back(new G4QDecayChan(.800, 3222,-211 ));
       DecayDB[ 69].push_back(new G4QDecayChan(1.00, 3212, 111 ));
-	   }
+    }
     if(limit<= 70 && nQ>= 70)    // SIGMA_7/2 -
-	   {
+    {
       DecayDB[ 70].push_back(new G4QDecayChan(.030, 2112,-323 ));
       DecayDB[ 70].push_back(new G4QDecayChan(.165,-311 , 1114));
@@ -617,7 +621,7 @@
       DecayDB[ 70].push_back(new G4QDecayChan(.780,-321 , 2112));
       DecayDB[ 70].push_back(new G4QDecayChan(1.00,-211 , 3122));
-	   }
+    }
     if(limit<= 71 && nQ>= 71)    // SIGMA_7/2 0
-	   {
+    {
       DecayDB[ 71].push_back(new G4QDecayChan(.015, 2112,-313 ));
       DecayDB[ 71].push_back(new G4QDecayChan(.030, 2212,-321 ));
@@ -634,7 +638,7 @@
       DecayDB[ 71].push_back(new G4QDecayChan(.780,-321 , 2212));
       DecayDB[ 71].push_back(new G4QDecayChan(1.00, 111 , 3122));
-	   }
+    }
     if(limit<= 72 && nQ>= 72)    // SIGMA_7/2 +
-	   {
+    {
       DecayDB[ 72].push_back(new G4QDecayChan(.030, 2212,-313 ));
       DecayDB[ 72].push_back(new G4QDecayChan(.165,-321 , 2224));
@@ -648,40 +652,40 @@
       DecayDB[ 72].push_back(new G4QDecayChan(.780,-311 , 2212));
       DecayDB[ 72].push_back(new G4QDecayChan(1.00, 211 , 3122));
-	   }
+    }
     if(limit<= 73 && nQ>= 73)    // KSI_7/2 -
-	   {
+    {
       DecayDB[ 73].push_back(new G4QDecayChan(.400, 3112,-311));
       DecayDB[ 73].push_back(new G4QDecayChan(.800, 3212,-321));
       DecayDB[ 73].push_back(new G4QDecayChan(1.00, 3122,-321));
-	   }
+    }
     if(limit<= 74 && nQ>= 74)    // KSI_7/2 0
-	   {
+    {
       DecayDB[ 74].push_back(new G4QDecayChan(.400, 3212,-311));
       DecayDB[ 74].push_back(new G4QDecayChan(.800, 3222,-321));
       DecayDB[ 74].push_back(new G4QDecayChan(1.00, 3122,-311));
-	   }
+    }
     if(limit<= 75 && nQ>= 75)    // OMEGA_7/2 -
-	   {
+    {
       DecayDB[ 75].push_back(new G4QDecayChan(.250,-311 , 3314));
       DecayDB[ 75].push_back(new G4QDecayChan(.500,-321 , 3324));
       DecayDB[ 75].push_back(new G4QDecayChan(.750, 3312,-313 ));
       DecayDB[ 75].push_back(new G4QDecayChan(1.00, 3322,-323 ));
-	   }
+    }
     if(limit<= 76 && nQ>= 76)    // a_4 0
-	   {
+    {
       DecayDB[ 76].push_back(new G4QDecayChan(.200, 311,-311));
       DecayDB[ 76].push_back(new G4QDecayChan(.400, 321,-321));
       DecayDB[ 76].push_back(new G4QDecayChan(.600, 111, 221));
       DecayDB[ 76].push_back(new G4QDecayChan(1.00, 111, 211,-211));
-	   }
+    }
     if(limit<= 77 && nQ>= 77)    // a_4 +
-	   {
+    {
       DecayDB[ 77].push_back(new G4QDecayChan(.400, 321,-311));
       DecayDB[ 77].push_back(new G4QDecayChan(.600, 211, 221));
       DecayDB[ 77].push_back(new G4QDecayChan(.800, 211, 211,-211));
       DecayDB[ 77].push_back(new G4QDecayChan(1.00, 211, 111, 111));
-	   }
+    }
     if(limit<= 78 && nQ>= 78)    // f_4 0
-	   {
+    {
       DecayDB[ 78].push_back(new G4QDecayChan(.020, 333, 333));
       DecayDB[ 78].push_back(new G4QDecayChan(.340, 223, 223));
@@ -693,7 +697,7 @@
       DecayDB[ 78].push_back(new G4QDecayChan(.940, 211,-211));
       DecayDB[ 78].push_back(new G4QDecayChan(1.00, 111, 111));
-	   }
+    }
     if(limit<= 79 && nQ>= 79)    // K_4 0
-	   {
+    {
       DecayDB[ 79].push_back(new G4QDecayChan(.060, 333, 313));
       DecayDB[ 79].push_back(new G4QDecayChan(.260, 223, 313));
@@ -707,7 +711,7 @@
       DecayDB[ 79].push_back(new G4QDecayChan(.900, 311, 111));
       DecayDB[ 79].push_back(new G4QDecayChan(1.00, 321,-211));
-	   }
+    }
     if(limit<= 80 && nQ>= 80)    // K_4 +
-	   {
+    {
       DecayDB[ 80].push_back(new G4QDecayChan(.060, 333, 323));
       DecayDB[ 80].push_back(new G4QDecayChan(.260, 223, 323));
@@ -721,5 +725,5 @@
       DecayDB[ 80].push_back(new G4QDecayChan(.900, 311, 211));
       DecayDB[ 80].push_back(new G4QDecayChan(1.00, 321, 111));
-	   }
+    }
     if(limit<=81&&nQ>=81)DecayDB[81].push_back(new G4QDecayChan(1., 333,333));//phi_4(2300)
     if(limit<=82&&nQ>=82)DecayDB[82].push_back(new G4QDecayChan(1.,2212, 2224));//pDelta++
@@ -762,12 +766,12 @@
     // ------- Nuclear fragments
     //if(limit<=114 && nQ>=114)
-	   //{
+    //{
     //  if(limit<114) limit=101;
     //  for (int i=limit; i<nQ; i++) DecayDB[i] = 0;
     //}
-	   //Update the limit
+    //Update the limit
     limit=nQ+1;
 #ifdef debug
-	   G4cout<<"G4QParticle::InitDecayVector: limit is set to "<<limit<<G4endl;
+    G4cout<<"G4QParticle::InitDecayVector: limit is set to "<<limit<<G4endl;
 #endif
   }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParton.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParton.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParton.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QParton.cc,v 1.3 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QParton.cc,v 1.4 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // ------------------------------------------------------------
@@ -36,63 +36,65 @@
 //   For comparison mirror member functions are taken from G4 class:
 //   G4Parton
-// ------------------------------------------------------------
-
+// ------------------------------------------------------------------------
+// Short description: The Quark-Gluon String consists of the partons, which
+// are quarks and some times gluons.
+// ------------------------------------------------------------------------
 #include "G4QParton.hh"
 
 G4QParton::G4QParton(G4int PDGcode)
 {
-	 PDGencoding=PDGcode;
-	 theX = 0;
-	 theDefinition=G4ParticleTable::GetParticleTable()->FindParticle(PDGencoding);
-  G4int aPDG=std::abs(PDGcode);
-	 //___________quarks__ 2 possible codes for gluons _ Condition for di-quarks
-	 if(!aPDG || (aPDG>3 && PDGcode!=9 && PDGcode!=21 && (aPDG>3303||aPDG<1103||aPDG%100>3))
-     || theDefinition==0)
-	 {
-	 		G4cerr<<"***G4QParton::Constructor: wrong quark/diquark PDG="<<PDGcode<<G4endl;
-    G4Exception("G4QParton::Constructor:","72",FatalException,"WrongPartonPDG");
-	 }
-	 //
-	 // colour by random in (1,2,3)=(R,G,B) for quarks and 
-	 //                  in (-1,-2,-3)=(Rbar,Gbar,Bbar) for anti-quarks:
-  G4int RGB=(G4int)(3*G4UniformRand())+1;
-	 G4String name=theDefinition->GetParticleType();
-	 if(name == "quarks")
-	 {
-	  	if(PDGcode>0) theColour = RGB;
+  PDGencoding=PDGcode;
+  theX = 0;
+  theDefinition=G4ParticleTable::GetParticleTable()->FindParticle(PDGencoding);
+       G4int aPDG=std::abs(PDGcode);
+  //___________quarks__ 2 possible codes for gluons _ Condition for di-quarks
+  if(!aPDG || (aPDG>3 && PDGcode!=9 && PDGcode!=21 &&
+          (aPDG>3303||aPDG<1103||aPDG%100>3)) || theDefinition==0)
+  {
+    G4cerr<<"***G4QParton::Constructor: wrong quark/diquark PDG="<<PDGcode<<G4endl;
+         G4Exception("G4QParton::Constructor:","72",FatalException,"WrongPartonPDG");
+  }
+  //
+  // colour by random in (1,2,3)=(R,G,B) for quarks and 
+  //                  in (-1,-2,-3)=(Rbar,Gbar,Bbar) for anti-quarks:
+       G4int RGB=(G4int)(3*G4UniformRand())+1;
+  G4String name=theDefinition->GetParticleType();
+  if(name == "quarks")
+  {
+    if(PDGcode>0) theColour = RGB;
     else          theColour =-RGB;
   }
-	 // colour by random in (-1,-2,-3)=(Rbar,Gbar,Bbar)=(GB,RB,RG) for di-quarks and
-	 //                  in (1,2,3)=(R,G,B)=(GB,RB,RG) for anti-di-quarks:
-	 else if(name == "diquarks")
+  // colour by random in (-1,-2,-3)=(Rbar,Gbar,Bbar)=(GB,RB,RG) for di-quarks and
+  //                  in (1,2,3)=(R,G,B)=(GB,RB,RG) for anti-di-quarks:
+  else if(name == "diquarks")
   {
-	  	if(PDGcode>0) theColour =-RGB;
+    if(PDGcode>0) theColour =-RGB;
     else          theColour = RGB;
-	 }
-	 // colour by random in (-11,-12,-13,-21,...,-33)=(RRbar,RGbar,RBbar,...,BBbar) for gluons
-	 else if(name == "gluons") theColour = -(RGB*10 + (G4int)(3*G4UniformRand())+1);
-	 else
+  }
+  // ColourByRandom (-11,-12,-13,-21,...,-33)=(RRbar,RGbar,RBbar,...,BBbar) for gluons
+  else if(name == "gluons") theColour = -(RGB*10 + (G4int)(3*G4UniformRand())+1);
+  else
   {
-	 		G4cerr<<"***G4QParton::Constructor: not quark/diquark/gluon = "
+    G4cerr<<"***G4QParton::Constructor: not quark/diquark/gluon = "
           <<theDefinition->GetParticleType()<<G4endl;
     G4Exception("G4QParton::Constructor:","72",FatalException,"WrongParton");
-	 }
-	 // isospin-z from PDG-encoded isospin-z for 
-	 // quarks, anti-quarks, di-quarks, and anti-di-quarks:
-	 if (name == "quarks" || name == "diquarks")theIsoSpinZ = theDefinition->GetPDGIsospin3();
-  // isospin-z choosen at random from PDG-encoded isospin for gluons (should be zero):
-	 else
+  }
+  // isospin-z from PDG-encoded isospin-z for 
+  // quarks, anti-quarks, di-quarks, and anti-di-quarks:
+  if(name == "quarks" || name == "diquarks") theIsoSpinZ = theDefinition->GetPDGIsospin3();
+       // isospin-z choosen at random from PDG-encoded isospin for gluons (should be zero):
+  else
   {
-		  G4int thisPDGiIsospin=theDefinition->GetPDGiIsospin();
-		  if (thisPDGiIsospin == 0) theIsoSpinZ = 0;
-    //@@ ? M.K.
-		  else	theIsoSpinZ = ((G4int)((thisPDGiIsospin+1)*G4UniformRand()))-thisPDGiIsospin*0.5;
-	 }
-	 //
-	 // spin-z choosen at random from PDG-encoded spin:
-	 //
-	 G4int thisPDGiSpin=theDefinition->GetPDGiSpin();
-	 if(thisPDGiSpin == 0)	theSpinZ = 0;
-	 else	theSpinZ = (G4int)((thisPDGiSpin+1)*G4UniformRand())-thisPDGiSpin*0.5;;
+    G4int thisPDGiIsospin=theDefinition->GetPDGiIsospin();
+    if (thisPDGiIsospin == 0) theIsoSpinZ = 0;
+         //@@ ? M.K.
+    else theIsoSpinZ=((G4int)((thisPDGiIsospin+1)*G4UniformRand())) - thisPDGiIsospin*0.5;
+  }
+  //
+  // spin-z choosen at random from PDG-encoded spin:
+  //
+  G4int thisPDGiSpin=theDefinition->GetPDGiSpin();
+  if(thisPDGiSpin == 0) theSpinZ = 0;
+  else theSpinZ = (G4int)((thisPDGiSpin+1)*G4UniformRand())-thisPDGiSpin*0.5;;
 }
 
@@ -132,5 +134,5 @@
     theColour = right.theColour;
     theIsoSpinZ = right.theIsoSpinZ;
-    theSpinZ = right.theSpinZ;	
+    theSpinZ = right.theSpinZ; 
   }
   return *this;
@@ -139,16 +141,17 @@
 G4QParton::~G4QParton()
 {
-//  cout << "G4QParton::~G4QParton(): this = "<<this <<endl;
-//  cout << "break here"<<this <<endl;
+  //G4cout << "G4QParton::~G4QParton(): this = "<<this <<G4endl;
+  //G4cout << "break here"<<this <<G4endl;
 }
 
 void G4QParton::DefineMomentumInZ(G4double aLightConeMomentum, G4bool aDirection)
 {
-	G4double Mass = GetMass();
-	G4LorentzVector a4Momentum = Get4Momentum();
-	aLightConeMomentum*=theX;
-	G4double TransverseMass2 = sqr(a4Momentum.px()) + sqr(a4Momentum.py()) + sqr(Mass);
-	a4Momentum.setPz(0.5*(aLightConeMomentum - TransverseMass2/aLightConeMomentum)*(aDirection? 1: -1)); 
-	a4Momentum.setE( 0.5*(aLightConeMomentum + TransverseMass2/aLightConeMomentum));
-	Set4Momentum(a4Momentum);
+  G4double Mass = GetMass();
+  G4LorentzVector a4Momentum = Get4Momentum();
+  aLightConeMomentum*=theX;
+  G4double TransverseMass2 = sqr(a4Momentum.px()) + sqr(a4Momentum.py()) + sqr(Mass);
+  a4Momentum.setPz(0.5*(aLightConeMomentum - TransverseMass2/aLightConeMomentum) *
+                                                                      (aDirection? 1: -1));
+  a4Momentum.setE( 0.5*(aLightConeMomentum + TransverseMass2/aLightConeMomentum));
+  Set4Momentum(a4Momentum);
 }  
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPartonPair.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPartonPair.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPartonPair.cc	(revision 1055)
@@ -26,6 +26,6 @@
 #include "G4QPartonPair.hh"
 //
-// $Id: G4QPartonPair.cc,v 1.1 2006/10/30 10:40:36 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QPartonPair.cc,v 1.2 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // ------------------------------------------------------------
@@ -34,9 +34,15 @@
 //      ---------------- G4QParton ----------------
 //             by Mikhail Kossov, Oct 2006.
-// class for PartonPair (hadron) used by Parton String Models
-// ------------------------------------------------------------
+// class for PartonPair (hadron) used by QGS Models
+// --------------------------------------------------------------
+// Short description: Each Quasmon String has a pair of partons
+// (quark/diquark-partons) on its ends. During the hadronization
+// procedure the rapidity gap between partons shrinks, but the
+// parton pair still exists, while it is converted to the final
+// meson (quaek-antiquark) or baryon (quark-diquark).
+// --------------------------------------------------------------
 
 G4QPartonPair::G4QPartonPair(G4QParton* P1, G4QParton* P2, G4int Type, G4int aDirection)
-		: Parton1(P1), Parton2(P2), CollisionType(Type), Direction(aDirection) {}
+  : Parton1(P1), Parton2(P2), CollisionType(Type), Direction(aDirection) {}
 
 G4QPartonPair::~G4QPartonPair() {}
